<!DOCTYPE html>
<html lang="en">
<head>

    <script src="/js/DetailWebinarPenyelenggara.js"></script>

    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<form th:action="${seminarId} + @{/invite-dokter}" th:object="${inviteDokterResponse}" method="POST" >
    <div class="form-modal">
        <div style="height: 150px; overflow: auto" class="form-check" >
            <div th:each="dokter, iterationStatus: ${listUninvitedDokter}">
              <div class="profile-seminar-content" >
                    <div class="profile-content-wrapper-2">
                      <div class="profile-image">
                        <img th:src="${dokter.photoUrl}"  alt="" />
                      </div>
                      <div class="profile-name-seminar" style="color:black;" th:text="${dokter.nama}"> Dr. Sam Sudin </div>
                    </div>
                    <div id="checkbox-list">
                      <input type="checkbox" th:value="${dokter.uuid}" th:field="*{listDokter}" class="form-check-input" id="exampleCheck1">
                    </div>
                  </div>
              <br>
            </div>
        </div>
    </div>
    <div class="button-request-modal">
        <button id="cari-akun" class="btn-primary" type="submit" name="requestInvitedSpeaker" style=" width: 120px">Invite Account</button>
        <button id="button-request-open-modal"  class="btn-primary" name="requestInvitedSpeaker" style="margin-right: 10px; width: 150px ">Request Account</button>
    </div>
</form>

<script>
    document.querySelectorAll('input[type="checkbox"]').forEach(function(checkbox) {
        checkbox.addEventListener('change', function() {
            // Check if any checkbox is checked
            var isChecked = Array.from(checkboxes).some(function(checkbox) {
                return checkbox.checked;
            });

            // Enable/disable the submit button
            document.getElementById('cari-akun').disabled = !isChecked;
        });
    });
</script>

</body>
</html>